15112013: added option core_both to plot_pancore_matrix.pl
03022014: corrected versions of get_homologues.pl and parse_pangenome_matrix.pl to match features in manual
07032014: manual updated, user's utils added to download area
11032014: added use lib/bioperl to compare_clusters.pl and plot_pancore_matrix.pl
11032014: edited plot_pancore_matrix.pl (copes with \r in .tab) 
11032014: added -s to check_BDBHs.pl
11032014: updated get_homologues.pl with marfil_homology::add_unmatched_singletons
11032014: manual updated
18062014: manual updated, added check when reading taxa in -I include file
18062014: put new lines to separate alternatives trees in .ph file produced by compare_clusters.pl -T
29072014: fixed parsing of GenBank files with CONTIG features just before ORIGIN
29072014: fixed parsing of spliced DNA sequence features in GenBank files
28082014: sped up id lookup in check_BDBHs.pl 
01092014: manual updated
30092014: install.pl fixed so that progress of Pfam download is correctly printed
24102014: manual updated (-f explanation. FAQS)
12112014: fixed bug while adding singleton clusters when using -I option, which was uncorrectly adding sequences from excluded taxa
12112014: section 'Comparing clusters with external sequence sets' added to manual
03122014: fixed bug in download_genomes_ncbi.pl which prevented download of last genome in list in some cases
05122014: check input dir/file contains not valid chars ('+')
30122014: updated construct_indexes and construct_taxa_indexes
09122015: updated format_BLASTN_command to allow blast+ task selection (default is megablast)
12012015: updated matchlen to use hash references instead of copies; added simspan_hsps_overlap
12012015: updated simspan_hsps to allow calculation with respect to shortest sequence, instead of default (longest)
13012015: updated makeIn,makeOr,makeHom to allow coverage calculation with respect to shortest sequence
13012015: updated _cluster_makeHomolog.pl, _cluster_makeInparalog.pl, _cluster_makeOrtholog.pl as well
13012015: updated find_OMCL_clusters,findAllOrthologiesORTHMCL to allow coverage calculation with respect to shortest sequence
13012015: updated format_BLASTN_command,BLASTP,HMMPFAM to use 1CPU, as format_SPLITBLAST_comm,SPLITHMMPFAM control this
19012015: fixed bug in add_unmatched_singletons which omitted sequence 1 if it had no hits
22012015: added -e to check_BDBHs.pl to get coverage of short sequences if not labelled as full-length ETSs
22012015: updated simspan_hsps to allow for subject aligned coords to be in reverse strand
26012015: manual updated (FAQS)
05022015: shortened gene names derived from 'product' tags in extract_CDSs_from_genbank,_features_from_,_intergenic_from_
05022015: fixed sequence parsing of spliced features in extract_features_from_genbank
20022015: fixed bug on -s flag of check_BDBHs.pl
20022015: fixed bug affecting -G -I which resulted on singletons from excluded taxa being added to cluster set
20022015: fixed bug which incorrectly handled clusters with diverse Pfam compositions as singletons with -D -t 0
20022015: added option -A to get_homologues.pl which computes average identity matrices from blastp/blastn results of clustered sequences
25022015: added check to compare_clusters.pl to warn users of forbidden chars on file paths, which caused trouble with embedded R script 
27022015: fixed weird bug in extract_CDSs_from_genbank that appeared when reading a prokka-delivered gbk files
27022015: manual updated and accompanying scripts hcluster_matrix.sh & plot_matrix_heatmap.sh included
04032015: added a third arg to marfil_homology::sort_blast_results, a boolean flag stating whether secondary hsps are to be conserved
04032015: added global variable $KEEPSCNDHSPS to get_homologues.pl to explicitely state wether secondary hsp are kept (default = 1) 
11032015: added option -t to check_BDBHs.pl to show only hits from a selected taxon
17032015: edited marfil_homology::matrix to save RAM 
24032015: added %identity to check_BDBHs.pl output
24032015: added support in get_homologues for input in the form of a folder of pre-clustered sequences in FASTA format
06042015: get_homologues.pl -c now prints the random generator seed
09042015: added new accompanying script make_nr_pangenome_matrix.pl
13042015: added $MIN_PERSEQID_HOM_EST & $MIN_COVERAGE_HOM_EST to marfil_homology
13042015: fixed bug that affected get_homologues -c pangenome re-calculations when $MIN_PERSEQID_HOM & $MIN_COVERAGE_HOM changed
30042015: added one-liner for transposing pangenome matrices to compare_clusters.pl and make_nr_pangenome_matrix.pl
13052015: added -a to parse_pangenome_matrix.pl to allow finding genes absent in taxa in -B list
13052015: added -S to parse_pangenome_matrix.pl to allow filtering out singletons while calling -g or -a
29052015: fixed bug while calculating -A average identity matrices
07072015: manual updated
13082015: added $SOFTCOREFRACTION to marfil_homology.pm and updated parse_pangenome_matrix.pl
13082015: added -z to get_homologues to calculate soft-core composition analyses with -c
13082015: fixed bug in compare_clusters.pl when file.cluster_list is not in place that produced a pangenome matrix with refs instead of gene occurrences
14082015: manual updated
03092015: fixed bug in hcluster_matrix.sh when using full path with -i 
17112015:
17112015: Preparing the move to EST version and git
17112015:
17112015: changed BLAST parsing to capture -outfmt 6 'qseqid sseqid pident length qlen slen qstart qend sstart send evalue bitscore'
17112015: this implies that old BLAST results from old get_homs releases won't work anymore
17112015: fixed bug when computing coverage of redundant multi-hsp BLASTP matches
17112015: %seq_length is only produced with -f; removed this option in -est.pl                                                 
17112015: removed line id from all_blast.bpo 
17112015: converted old blastquery to %blastquery[address,total] and eliminated %address_ref
17112015: optimized getblock_from_bpofile
17112015: changed %gindex to $gindex{tax1}[123,234,tot]
17112015: switched %gindex2 by @gindex2 and updated calls in all scripts, including check_BDBHs.pl
17112015: handle Evalues as strings when comparing them (eq instead of ==)  
17112015: added flag_small_clusters, and get_homologues.pl suport -t combined with -c [OMCL|COG]
17112015: updated MCL to mcl-14-137
01122015: updated hmmer to version 3.1b2 as 3.0 is not compatible with Pfam 28
04112015: updated make_nr_pangenome_matrix.pl and download_genomes_ncbi.pl
04122015: manual_get_homologues.pdf manual updated
04122015: manual_get_homologues-est.pdf manual released
29122015: fixed wrong bin path of macosx binary release (thanks Jon Badalamenti!)
30122015: added .fa as valid extension for input files in get_homologues-est.pl
11012016: added global $MINSEQLENGTH to filter out short oligomers
13012016: fixed bug in get_homologues-est.pl -D
13012016: EST manual updated
13012016: fixed bug in compare_clusters.pl while parsing cluster list generated with -D
19012016: fixed Pfam db check in _split_hmmscan.pl (thanks Jon Badalamenti)
20012016: fixed src/Makefile error in mcl
20012016: manuals updated
25012016: fixed bug in _cluster_make[Homolog|Inparalog|Ortholog].pl reported by Maliha Aziz, which did not affect results, but produced them slower
01022016: updated download_genomes_ncbi.pl and sample_genome_list.txt to fit current NCBI repositories, and manual
01022016: removed estimate_RAM from get_homologues.pl, as RAM consumption has been reduced
03022016: fixed bug in get_homologues.pl which meant pan genome was overestimated with -c; EST not affected, thanks Joaquim Martins Jr!
15022016: Updated manual, added redundant isoform fig to est
15022016: install.pl added Passive=>1 to Net::FTP connections so that they work behind NAT
15022016: Added TransDecoder to lib/est
23022016: fixed compare_clusters.pl so that it sorts correctly intergenic clusters
23022106: added MiMB chapter to references
23022016: default -S value for get_homologues-est.pl set to 95%
24022016: updated make_nr_pangenome_matrix.pl so that it can take also a reference FASTA file
26022016: created annotate_cluster.pl, which relies on mview and few subs:
26022016: format_BLASTN_command_aligns, format_BLASTP_command_aligns, check_variants_FASTA_alignment, shorten_headers_FASTA_file
26022016: updated sub pfam_parse, construct_Pfam_hash, read_FASTA_file_array, read_FASTA_sequence
26022016: updated transcripts2cds.pl so that it can cope with long FASTA headers
26022016: manuals updated
11032016: created pfam_enrich.pl to calculate Pfam-domain enrichment of get_homologues[-est] clusters
11032016: created sub parse_Pfam_freqs in marfil_homology.pm
11032016: manuals updated
23032016: parse_pangenome_matrix.pl now checks that taxon names in -A/-B lists match those in pangenome_matrix, thanks Maliha Aziz
31032016: parse_pangenome_matrix.pl now prints -P & -S values to pangenes_list.txt
31032016: parse_pangenome_matrix.pl barplots produced with -s have longer Y-axes, which can now be controlled with global $YLIMRATIO
31032016: get_homologues manual updated, including figures 12 & 13
31032016: marfil_homology::find_COGs made faster after trimming a couple of regexes and replacing grep with first, thanks Andre Luiz de Oliveira!
31032016: updated test_Streptococcus/test_Streptococcus_download_list.txt
31032016: FAQ added to get_homologues-est manual
08042016: fixed logging of -c core/pan-genome sizes when using -M/-G
11042016: updated marfil_homology::flag_small_clusters
12042016: edited get_homologues-est.pl -M -c -t taxa so that initial core/pan size only considers clusters with occupancy >= min_taxa
12042016: marfil_homology::makeIsoform now prints taxon name to help detect problematic datasets or incomplete BLAST jobs
12042016: added option -a to plot_pancore_matrix.pl to generate snapshots of pangenome size simulations
13042016: added check so that initial core/pan size cannot be < 0 (get_homologues-est.pl)
14042016: added option -c to plot_matrix_heatmap.sh to filter out excessive redundancy by imposing a max identity cut-off value
28042016: updated manuals for the web
29042016: updated manuals 
04052016: set $MIN_PERSEQID_HOM_EST=70 and $MIN_COVERAGE_HOM_EST=50 in lib/marfil_homology.pm 
04052016: added figure 3 to manual_get_homologues-est.pdf
04052016: commented out debug print in marfil_homology::makeHomolog
04052016: fixed bug in get_homologues-est.pl -c so that redundant isoforms are not added to pan/core sets
04052016: fixed bug in get_homologues.pl -c so that inparalogues are substracted while adding up novel BDBH pan-genome genes
05052016: added global $INCLUDEORDER to get_homologues-est.pl to control wheter -c analyses should follow -I include order 
10052016: parse_pangenome_matrix.pl now can parse non-redundant pangenome matrices made with make_nr_pangenome_matrix.pl 
10052016: parse_pangenome_matrix.pl barplot colors can now be encoded in RGB scale in variable %RGBCOLORS
14052016: removed warnings when options -f/-P not invoked in make_nr_pangenome_matrix.pl
14052016: added -e to reference matching in make_nr_pangenome_matrix.pl
16052016: updated manual-est with transcript2CDS description
17052016: added degenerate DNA bases [WSRYKM] to make_nr_pangenome_matrix.pl 
20052016: increased hit number while matching reference sequences in make_nr_pangenome_matrix.pl
20052016: make_nr_pangenome_matrix.pl can now take all references matching nr clusters (see var $ONLYBESTREFHIT)
27052016: improved the description of $MIN_PERSEQID_HOM_EST and $MIN_COVERAGE_HOM_EST and added a FAQ
27052016: improved the description of $MIN_PERSEQID_HOM and $MIN_COVERAGE_HOM and added a FAQ
23062016: updated phyTools extract_intergenic_from_genbank & extract_CDSs_from_genbank as GIs will be deprecated in Sept2016 (https://www.ncbi.nlm.nih.gov/news/03-02-2016-phase-out-of-GI-numbers)
23062016: updated manuals
30062016: added FAQ to manual
12072016: maximum accepted -C coverage when using -G is limited to 99% (thanks Sandro Valenzuela)
13072016: version is now retrieved from last line of CHANGES.txt
02082016: updated phyTools extract_intergenic_from_genbank & extract_CDSs_from_genbank tu support Rast-produced gbk files, thanks Alex Greenspan
04082016: modified compare_clusters.pl -t so that all single-copy clusters with taxa >= t are taken
05092016: fixed regular expression in make_nr_pangenome_matrix.pl that checks for nucleotide/peptide sequences, removing IUPAC accepted D,H &V degeneracies
06092016: fixed handling of reference file in FASTA format in make_nr_pangenome_matrix
16092016: fixed bug with long names in annotate_cluster.pl
19092016: added flag -f to pfam_enrich.pl
20092016: added pfam_enrich.pl example to EST manual 
20092016: linked plant benchmark datasets to online README
06102016: added extra check to extract_CDSs_from_genbank & extract_genes_from_genbank to skip pseudogenes
17102016: updated manual with FAQ about ANI calculation on soft-core clusters (thanks Raffael Inglin)
18102016: added FAQ explaining the meaning of branch numbers in compare_clusters.pl -T trees
18102016: added extra check to pfam_enrich.pl
27102016: fixed bug in plot_matrix_heatmap.sh -c X ; now only rows with values < X are retained, as expected (thanks Valerie!)
07112016: added diamond (PubMed=25402007) to phyTools, setting %ENV keys DMND_PATH_EST, EXE_DMNDX_EST & EXE_DMNFT_EST
07112016: updated install.pl to retrieve and format uniprot_sprot.fasta.gz from ftp.uniprot.org
07112016: added executeMAKEDB & format_DIAMOND_command to lib/transcripts.pm
07112016: added option -X to transcripts2cdsCPP.pl & transcripts2cdsCPP.pl to invoke diamond instead of blastx
07112016: updated EST manual
14122016: added table with new features to EST manual
20122016: added table with transcript2cds benchmark to EST manual
20122016: added option --more-sensitive to DIAMOND in lib/est/transcripts.pm
22122016: added DIAMOND blastp support in phyTools.pm and marfil_homology.pm
22122016: updated lib/est/transcripts.pm after adding added DIAMOND blastp
28122016: extract_*_genbank subs in lib/phyTools.pm now can read GZIP- or BZIP2-compressed input files
28122016: get_homologues.pl can now take GZIP- or BZIP2-compressed input files
30122016: note: compressed multi-contig gbk files produce FASTA files with different seq order 
30122016: added DIAMOND blastp to get_homologues.pl, which can be called with -X
30122016: compare_clusters.pl now correctly shortens DIAMOND cluster dirs
05012017: updated $BATCHSIZE to 1000 in get_homologues-est.pl
05012017: updated manuals and added E.coli -X benchmark
19012017: transcripts2cdsCPP.pl & transcripts2cdsCPP.pl now handle correctly reverse strand sequences
19012017: transcripts2cdsCPP.pl & transcripts2cdsCPP.pl now process correctly lower case sequences
19012017: transcripts2cdsCPP.pl & transcripts2cdsCPP.pl now save blastx & diamond output in different files
20012017: fixed transcripts2cdsCPP.pl so that now it prints correctly -noover evidences, shown as -mismatches earlier
23012017: added transcripts2cds BLASTX & DIAMOND benchmarks to EST manual
23012017: updated EST manual and added one question to FAQ section
03022017: added GET_HOMOLOGUES-EST article reference http://journal.frontiersin.org/article/10.3389/fpls.2017.00184/full
07022017: fixed uniprot path in install.pl
02032017: added Bio::Coordinate to lib/bioperl-1.5.2_102 to fix broken parse_pangenome_matrix.pl -p
02032017: Added FAQ to manuals
02032017: updated protocol to install Grid Engine on multi-core systems
15032017: updated complete and WGS genome downloads in download_genomes_ncbi.pl
29032017: updated FAQ about computing bootstrap values of parsimony pangenome trees
30032017: updated LICENSE
17042017: added parse_pangenome_matrix.pl -I to produce reports for subsets of taxa in a pangenome matrix
17042017: parse_pangenome_matrix.pl -s now produces the number of cloud, shell & core clusters per taxon
18042017: fixed uniprot ftp time-out error message in install.pl (thanks hliang)
25042017: parse_pangenome_matrix.pl -I now supports -B to produce lists of absent genes in pan-genome matrix subsets
16052017: added message to make_nr_pangenome_matrix.pl to warn users that BLAST files must be removed with different refs
17052017: added option -r to annotate_cluster.pl so that external sequences can be used to drive cluster alignment
30052017: updated lib/ForkManager.pm to v1.19 (http://search.cpan.org/perldoc?Parallel%3A%3AForkManager)
09062017: fixed bug in get_homologues.pl -X which produced zero clusters when new sequences files were added to previous results
12062017: parse_pangenome_matrix.pl -S now takes an integer to indicate the minimum occupancy requested of clusters
26062017: improved description of annotate_cluster.pl -h
26062017: increased length of sequence names in annotate_cluster.pl
26062017: added parsimony-informative sites in headers of blunt-end clusters produced by in annotate_cluster.pl -b
26062017: annotate_cluster.pl now shows unaligned cluster sequences and prints number of taxa in the alignment
26062017: annotate_cluster.pl now removes temporary files
27062017: added sub collapse_taxon_alignments to lib/phyTools.pm
27062017: added annotate_cluster.pl -c 40 to collapse alignments of sequences from same taxon
27062017: added Pfam domains to collapsed sequences
27062017: initialize compartments in parse_pangenome_matrix.pl to zero if empty before plotting (thanks Felipe Lira!) 
28062017: transcripts2cdsCPP.pl & transcripts2cdsCPP.pl now print name of offending files with '+' chars
30062017: temp blastdb file closed properly in annotate_clusters.pl 
25072017: corrected intergenic clusters produced with get_homologues.pl -g when using prokka-annotated GenBank files (thanks Uriel Alonso!)
25072017: updated get_homologues.pl -g and checked this section in the manual
07082017: extract_*_genbank subs in lib/phyTools.pm now parse LOCUS when accession is not available in GenBank files, such as those made with PROKKA 
09082017: compare_clusters.pl now prints lists of genes in intersections of two sets when comparing 3 cluster sets
10082017: compare_clusters.pl -m now produces a FASTA version of the binary pangenome matrix so that fully-labelled trees can be inferred with software such as IQ-TREE
10082017: added question to FAQ section in manuals explaining a way to compute ML pangenome tress with boostrap and aLRT support (Thanks Uriel Alonso and Ruben Sancho)
17082017: updated manuals and plot_matrix_heatmap.sh with options -r (remove column names and cell contents) and -k (set name for color key X-axis)
19082017: added options -d (max no. decimals) and -x (filter matrix with regex) to plot_matrix_heatmap.sh
28082017: added parse_pangenome_matrix.pl -x to compute cluster intersection between taxa in a pangenome matrix (thanks Sean and John!)
28082017: fixed bug in compare_clusters.pl when .cluster_list file is not parsed, due to previous changes in find_taxa_FASTA_array_headers (thanks Audrey Bioteau)
06092017: added options -x <regex>, -c <0|1> and -f <int> to hcluster_matrix.sh (thanks Marga Gomila)
18092017: added oneliner to transpose matrix to compare_clusters.pl
18092017: fixed parsing of filenames with -I in cases where input files are like numbers.faa (thanks cdeai)
20092017: removed especial chars >,<,& from cluster names in get_homologues.pl and get_homologues-est.pl (thanks Guella!)
27092017: updated table of occupancy classes in the manual
15102017: added options -a and -X; improved documentation (thanks Pablo!)
23102017: despite the increase in size, updated BLAST+ to ncbi-blast-2.6.0+ as it handles better than 2.2.27+ alignments with low complexity (thanks Uriel Alonso!)
30102017: added commented lines in get_homologues.pl to request $NOFSAMPLESREPORT samples when using -c -I include file
31102017: added hclustering of ANdist matrix in plot_matrix_heatmap.sh for convenient cluster delimitatios at distance cutoffs of 6,5,4  which correspond to ANI values of 94%, 95% and 96%, respectively
09112017: compare_clusters.pl -m now produces also pangenome CSV file for Scoary GWAS analyses with Fisher's Exact test
13112017: updated manuals with option to compute cluster intersection matrices with parse_pangenome_matrix -x
13112017: explained transposed CSV pangenome matrix for software Scoary in manual
27112017: added option 'force' to install.pl so that it can install with no supervision
28112017: install.pl now exits explicitely with exit(0)
28112017: added option 'no_databases' to install.pl for building docker images
28112017: forgotten URI::Escape added to list of required Perl modules in EST manual
24122017: removes the invariant (core-genome) and singleton (cloud-genome) columns before computing distances @ hcluster_matrix.sh
03012018: updated example figure created with plot_matrix_heatmap.sh in the manual
03012018: renamed hcluster_matrix.sh to hcluster_pangenome_matrix.sh and updated install.pl, release.pl accordingly
03012018: added links to GET_PHYLOMARKERS 
25012018: added gap- and silhouette mean width goodness of clustering statistics to hcluster_pangenome_matrix.sh; functions from factoextra
26012018: changed fviz_dend for dendextend for clustering results for better control and proper scale-bar in gower-dist hclust plots
27012018: much improved estimation of n_gap_clusters; changed fviz_dend for dendextend to plot clustering results; extended documentation
27012018: added mean silhouette width statistic to compute/plot optimal number of clusters in ANDg matrices with plot_matrix_heatmap.sh; R deps: dendextend and factoextra
28012018: added filtering code to clean-up genome names in pangenome_matrix*.tab in hcluster_pangenome_matrix.sh
28012018: plot_matrix_heatmap.sh: added option -b to cgAND dendrogram plot, which contains vert lines @ cgANDb 4,5,6; removed hclust plots
28012018: document changes to plot_matrix_heatmap.sh v1.0.1
28012018: added check for existence of input *Avg_identity.tab file and adjusted par(mar) in plot_matrix_heatmap.sh
31012018: added the complete.cases(tab)check in plot_matrix_heatmap.sh
01022018: install.pl now can download bin.tar and extract binaries to cloned repos
05022018: increased min complete cases to 5 in plot_matrix_heatmap.sh
06032018: modified sort_blast_results so that it now can compress individual BLAST result files with global binary $SORTBIN
06032018: get_homologues.pl and get_homologues-est.pl now compress individual BLAST files by default ($COMPRESSBLAST=1)
13032018: added global $MAXSEQLENGTH to get_homologues-est.pl to warn of long sequences, which often cause downstream problems (thanks Alvaro Rodriguez)
27032018: sequences longer than $MAXSEQLENGTH are skipped (by default $MAXSEQLENGTH=25kb)
04052018: compare_clusters.pl -m now produces also pangenome_genes file listing sequences names in each cluster
04052018: compare_clusters.pl -m now sorts taxon names when printing pangenome matrices
04052018: added -P option to compute perc of conserved proteins (POCP) in get_homologues.pl
04052018: added -P option to compute perc of conserved sequences (POCS) in get_homologues-est.pl
09052018: simplified headers in output FASTA files of get_homologues-est down to: >first_non-blank_word [source_taxon.fna] 
24052018: modified phyTools::check_variants_FASTA_alignment to compute also private variants if listsA & B are passed
24052018: annotate_cluster.pl now can take -A/-B lists of taxa to compute private variants in the aligned sequences of the cluster
24052018: updated descriptions of annotate_cluster.pl in manuals
06062018: improved ANI computation by skipping self-taxon BLAST hits
06062018: fixed POCP computation; now it is [100(C1 + C2)/(T1 + T2)]
06062018: fixed POCS computation; now it is [100(C1 + C2)/(T1 + T2)] and T1/T2 are #nr seqs
23072018: updated Grid Engine instructions in manuals
28082018: bug fixed: get_homologues-pl -X now removes previous DIAMOND results of one vs others when new genomes are added (thanks alexweisberg)
03092018: added section 'Output files explained' to EST manual (thanks Lior Glick)
05092018: updated shebangs of some scripts and added use warnings instead of -w (thanks morgansobol)
10092018: aligned_coords checked before being added to FASTA headers @ get_homologues* (use Warnings)
10092018: pfam_hash keys checked before being used (use Warnings)
20092018: added #include <unistd.h> to bin/COGsoft/COGreadblast/bc.h so that it compiles ok (thanks diaz13)
20092018: updated bin.tgz and install.pl
02012019: updated BLAST+ to ncbi-blast-2.8.1+
03012019: fixed argument print out in transcripts2cds[CPP].pl
03012019: updated install.pl so that it downloads bin.tgz if blast is missing (likely to blast being updated)
04032019: fixed warning in check_BDBHs.pl when doing -m local .faa analyses
05032019: improved marfil_homology::sort_blast_results to minimize sort -m temp files
05032019: updated TODO.txt
11042019: fixed two bugs in pfam_enrich.pl that caused runtime warnings 
12042019: sort at the end of pfam_enrich.pl saved to file to avoid pipe errors
17062019: optimized if in subs parsing gbk files
19062019: download_genomes_ncbi.pl now can handle GCF_000261785.1 accessions, which are internally converted to GCA_000261785.1_05623
19062019: extract_*_genbank subs now add input filename to FASTA header to disambiguate sequences with non-unique ids
19062019: extract_gene_name adapted to new header format
05082019: fixed bug in extract_gene_from_genbank affecting files with CDS features without /translation, thanks Christian Sanchez
05082019: updated release.pl
12092019: trailing tab removed from pangenome matrices (.tab) produced by compare_clusters.pl, thanks Felipe Lira 
12092019: compare_clusters.pl now also produces transposed matrices (.tab)
12092019: parse_pangenome_matrix.pl now warns if you pass it a transposed matrix (.tab)
28112919: updated manuals, flowcharts and tutorial
16122019: phyTools::constructDirectory now returns 1 if successful (thanks Ardy Kharabianmasouleh)
16122019: get_homologues[-est].pl now check return value of phyTools::constructDirectory
16122019: parse_pangenome_matrix.pl makes sure cloud occupancy < soft-core occupancy (thanks Sohini)
05012020: hcluster_pangenome_matrix.sh v5Jan2020, added option -P <palette>, added function cleanup_R_script, continuous color scale, only row dendrogram, fixed find command
12012020: hcluster_pangenome_matrix.sh v2.0_12Jan2020, major script update, see development notes with -D
22012020: hcluster_pangenome_matrix.sh v2.1_22Jan20
23012020: moved subs fisher_yates_shuffle short_path factorial calc_mean calc_std_deviation calc_memory_footprint warn_missing_soft to lib/pyTools.pm
23012020: moved subs get_string_with_previous_genomes split_Pfam_clusters to libs/marfil_homology.pm
23012020: created libs/HPCluster.pm to handle HPC cluster interaction, now supports SGE & LSF
24012020: get_homologues.pl & get_homologues-est.pl now import libs/HPCluster.pm
24012020: added cluster.conf.template
24012020: added ./install test
24012020: updated help message of _split_blast.pl and _split_hmmscan.pl
24012020: added download_genomes_ncbi.pl test
24012020: added test t/get_homologues.t
24012020: hcluster_pangenome_matrix.sh v2.2_22Jan20, removes intermediate silhouette-width genome table
27012020: added to Travis (Makefile, .travis.yml) 
27012020: added transcripts2cdsCPP.pl to t/get_homologues.t
27012020: automatic Travis builds already in place, check badge in README.md
28012020: fixed stderr message printed out by warn_missing_soft
28012020: moved t/get_homologues.t to test_get_homologues.t
28012020: added sample_plasmids_gbk_homologues to support real tests with precomputed BLAST output
28012020: Travis tests now do real tests of get_homologues.pl, compare_clusters.pl & parse_pangenome_matrix.pl
28012020: Makefile removes tmp output of tests and also supports install target
31012020: Brexit, added LSF and updated gridengine documentation in manuals
05022020: added slurm support and updated documentation
06022020: fixed macosx binaries and updated install.pl accordingly
21022020: removed repeated test
25022020: local BLAST jobs in get_homologues.pl are not splitted if proteomes < $BATCHSIZE; 2x speedup
26022020: added libgd-dev to .travis.yml and GD to cpanfile
26022020: fixed parse_pangenome_matrix.pl -p which was not parsing contig names correctly, thanks Nemanja kuzman1306
26022020: added parse_pangenome_matrix.pl -p to test suite 
03032020: improved regex at sub read_cluster_config (lib/HPCluster.pm)
10032020: fixed annotate_cluster.pl -D in cases with no Pfam hits
10032020: updated regex to detect peptide sequences in lib/phyTools.pm
08042020: updated mview version to 1.67 which now shows masked sequences with Xs and not gaps
08042020: updated annotate_cluster.pl to use mview 1.67
09042020: added make clean to mcl compilation in install.pl
10042020: v2.4_10Apr20, added option -b for par(mar()) and improved options documentation to hcluster_pangenome_matrix.sh
20042020: updated hcluster_pangenome_matrix.sh to v2.4_10Apr20 to eliminate warning message
20042020: acknowledged possible bug in section 4 of plot_matrix_heatmap.sh
20042020: added arg $testR to hcluster_pangenome_matrix.sh and plot_matrix_heatmap.sh tests to check R packages
20042020: updated test_get_homologues.t, Makefile & .travis.yml
20042020: updated ubuntu to bionic (18.04) in travis.yml to match docker OS
20042020: added libgd-dev to travis.yml
21042020: added check to get_homologues*pl when printing aligned coords
21042020: fixed index seek for EST jobs in check_BDBHs.pl
27042020: updated annotate_cluster.pl to scape forbidden chars in sequence names that trouble mview 
29042020: updated install instructions for R modules imported by hcluster_pangenome_matrix.sh 
02062020: added -n dryrun to get_homologues.pl
09072020: install.pl now tries curl before wget in macOS
31072020: downgraded cluster_pangenome_matrix.sh plot_matrix_heatmap.sh to simplify R deps 
25082020: improved warning for gbk files with no nucleotide seqs in get_homologues.pl
08092020: fixed indentation of R code within compare_clusters.pl
30102020: fixed -m dryrun
10112020: replaced ' with - in $cluster_name in get_homologues*pl, thanks Tommy Tran!
10112020: compare_clusters.pl stops if intersection==0
10112020: updated if else Venn R code in compare_clusters.pl
16112020: added real test of transcripts2cdsCPP.pl, not used for travis
17112020: fixed bug and improved documentation of pfam_enrich.pl
17022021: added -m dryrun to get_homologues-est.pl
17022021: fixed _cluster_makeIsoform.pl
17022021: updated bin/mcl-14-137 and made mview executable
17022021: added get_homologues-est.pl -m dryrun to test and manuals
19022021: removed HarunaNijo from test_barley 
19022021: pfam_enrich.pl allows for missing PFam annot
05032021: added dryrun examples to manuals
11032021: updated TODO.txt
17032021: edited fisher_yates_shuffle 
16062021: added SVG outfiles to plot_pancore_matrix.pl, parse_pangenome_matrix.pl, compare_clusters.pl
28082021: -m dryrun -c now prints only unique batch jobs to dryrun.txt (thanks @carolynzy!)
16092021: updated hcluster_pangenome_matrix.sh: added functions cleanup_R_script & print_version; checked and fixed options and associated names; added options -v, -h; improved output file checking; 100% check compliance
05112021: added explanation to annotate_cluster.pl regarding MVIEW non-reported deletions in longest sequences
05112021: improved manual description of MVIEW alignments within annotate_cluster.pl
05112021: compare_clusters.pl now prints all duplicated clusters to duplicated.cluster_list ; explained in manual
08112021: updated manual/HOWTOsge.txt
03122021: genbank files produced by PATRIC/RAST2 can now be parsed (thanks Irene Ortega!)
09122021: updated format_BLAST[NP]_command_aligns to take a max number of hits to report,
09212021: this fixes a bug in annotate_clusters.pl that affected clusters > 250 seqs (thanks carolynzi!)
22122021: made %feature_output non-redundant
15022022: make_nr_pangenome_matrix.pl now produces logfile to see date of redundant sequences (thanks carolynzi!)
21022022: updated transpose oneliner in make_nr_pangenome_matrix.pl (thanks carolynzi!)
23022022: make_nr_pangenome_matrix.pl now logs recursive list of redundant clusters (thanks carolynzi!)
23022022: get_homologues.pl stops if no input sequences are parsed and remined accepted extensions (thanks apoorva004!)
28022022: removed unsed vars from lib/marfil_homology.pm (thanks https://metacpan.org/pod/App::perlvars)
09032022: annotate_cluster.pl stops if < 2 sequences
16032022: parse_pangenome_matrix.pl can read pangene_matrix.tab produced at https://github.com/Ensembl/plant-scripts/tree/master/pangenes
17032022: format_BLASTN_command_aligns now takes only one 1hsp per query (thanks carolynzi!)
17032022: annotate_cluster.pl now prints the name of longest sequence
05042022: updated TODO & license
20042022: added parse_pangenome_matrix.pl -n for matrices that do not include cloud clusters (thanks Ammar!)
21042022: transcripts2cdsCPP.pl not tested by default with make test, as bioconda lacks Inline::CPP
21042022: if bin/ not in place phyTools::set_phyTools_env assumes binary dependencies in PATH
21042022: updated install.pl so that it copes with binary dependencies in PATH
21042022: install.pl no_databases COGS only gets/compiles COGS, so that other binaries can be taken from PATH
22042022: added CODE_OF_CONDUCT
28042022: added test_swiss to Makefile
28042022: added compila_conda.pl to bin/COGsoft & added $(CXX) to Makefiles to use in conda recipe (macosx-intel copy still the same)
28042022: COGsoft source released as https://github.com/eead-csic-compbio/get_homologues/releases/download/v3.4.6/COGsoft.tgz
28042022: released updated bin.tgz (v3.5)
13052022: test_get_homologues.t made executable for conda tests
13052022: updated LICENSE URLs
16052022: added conda installation instructions to manual
10062022: annotate_cluster.pl -D can now annotate Pfam domains of singleton clusters
10062022: updated .travis.yaml (perl 5.32, libdb-dev, do not apt update)
14062022: compare_clusters.pl can read .cluster_list files from get_pangenes.pl
15062022: added sub same_sequence_order to lib/phyTools.pm
15062022: get_homologues-est.pl now checks that CDS .fna & .faa sequences are in same order (thanks V Guignon!)
22082022: when checking that .fna & .faa sequences are in same order, CDSs with Ns are skipped (B Chapman) 
22082022: updated manual-est with description of pangenome matrix versions taken from tutorial
24082022: updated README files and contributors in manuals
07122022: compare_clusters.pl can intersect clusters from get_pangenes.pl
10032023: check_BDBHs.pl now guesses -i strings literally, escaping special chars
17032023: Release 22-282 of mcl is available, "but MCL itself is unchanged", we'll keep using mcl-14-137
22032023: annotate_cluster.pl -u produces unaligned complete sequences, flipped if required to facilitate multiple alignments
28032023: added more dependencies required for compiling R packages in install_R_deps.R
05052023: check that download_genomes_ncbi.pl still works with sample_genome.list
15052023: updated BLAST to faster, smaller ncbi-blast-2.14.0+ binaries
15052022: update install.pl and updated bin.tgz (v3.6)
13062023: added new script MSA_Ka_Ks.pl to user_utils/dNdS
29062023: added target 'test nonet' to Makefile to allow tests in servers with closed ports
30062023: added parse_pangenome_matrix.pl -R, which modifies -P to control %PAV only for -B
23102023: registered https://bio.tools/get_homologues 
03112023: phyTools::same_sequence_order checks for internal STOP codons in translated sequences
07112023: annotate_cluster.pl fails gracefully when no sequences are read
07112023: annotate_cluster.pl -b -P prints total missense mutations instead of SNPs
13062024: removed .gbk files from test_Streptococcus, should make releases smaller
13062024: added test_Streptococcus and HOWTOTettelin.txt to repo, only in releases before
13062024: updated manuals
